Skip to main content
GET
List call history

Authorizations

Authorization
string
header
required

Your v3 API key, e.g. ask_live_…

Headers

X-Subaccount-Id
string

Target subaccount for the request. Required unless the API key is authorized for exactly one subaccount (then it defaults to that one). Omitting it on a multi-subaccount key returns 400 subaccount_required.

Query Parameters

page
integer
Required range: 1 <= x <= 9007199254740991
limit
integer
Required range: 1 <= x <= 100

Match on to/from number, callId, or contact name/email.

status
enum<string>

Call status: QUEUED, INITIATED, RINGING, IN_PROGRESS, COMPLETED, BUSY, FAILED, NO_ANSWER, CANCELED.

Available options:
QUEUED,
INITIATED,
RINGING,
IN_PROGRESS,
COMPLETED,
BUSY,
FAILED,
NO_ANSWER,
CANCELED
sentiment
enum<string>

User sentiment: POSITIVE, NEUTRAL, NEGATIVE, or MIXED.

Available options:
POSITIVE,
NEUTRAL,
NEGATIVE,
MIXED
min_duration_seconds
integer
Required range: 0 <= x <= 9007199254740991
max_duration_seconds
integer
Required range: 0 <= x <= 9007199254740991
start_date
string<date-time>

ISO datetime — include calls created at/after this instant.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
end_date
string<date-time>

ISO datetime — include calls created at/before this instant.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

Response

Success

data
object
required
request_id
string
required
error
null